source: squid-ssl/trunk/fuentes/src/acl/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 21 months ago

Initial release

File size: 47.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/acl/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93am__append_2 = $(SSL_ACLS)
94am__append_3 = AdaptationService.h \
95        AdaptationService.cc \
96        AdaptationServiceData.h \
97        AdaptationServiceData.cc
98
99am__append_4 = $(ARP_ACLS)
100subdir = src/acl
101ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
103        $(top_srcdir)/acinclude/init.m4 \
104        $(top_srcdir)/acinclude/squid-util.m4 \
105        $(top_srcdir)/acinclude/compiler-flags.m4 \
106        $(top_srcdir)/acinclude/os-deps.m4 \
107        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
108        $(top_srcdir)/acinclude/pkg.m4 \
109        $(top_srcdir)/acinclude/lib-checks.m4 \
110        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
111        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
112        $(top_srcdir)/helpers/basic_auth/modules.m4 \
113        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
125        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
126        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
127        $(top_srcdir)/helpers/digest_auth/modules.m4 \
128        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
129        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
130        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
131        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
132        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
134        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
135        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
136        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
137        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
138        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
139        $(top_srcdir)/helpers/log_daemon/modules.m4 \
140        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
141        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
142        $(top_srcdir)/helpers/external_acl/modules.m4 \
143        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
147        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
149        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
150        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
151        $(top_srcdir)/helpers/external_acl/session/required.m4 \
152        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
153        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
154        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
155        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
156        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
157        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
158        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
159        $(top_srcdir)/configure.ac
160am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
161        $(ACLOCAL_M4)
162DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
163mkinstalldirs = $(install_sh) -d
164CONFIG_HEADER = $(top_builddir)/include/autoconf.h
165CONFIG_CLEAN_FILES =
166CONFIG_CLEAN_VPATH_FILES =
167LTLIBRARIES = $(noinst_LTLIBRARIES)
168libacls_la_LIBADD =
169am__libacls_la_SOURCES_DIST = IntRange.cc IntRange.h RegexData.cc \
170        RegexData.h StringData.cc StringData.h Time.cc Time.h \
171        TimeData.cc TimeData.h AllOf.cc AllOf.h AnyOf.cc AnyOf.h \
172        Asn.cc Asn.h Browser.cc Browser.h DestinationAsn.h \
173        DestinationDomain.cc DestinationDomain.h DestinationIp.cc \
174        DestinationIp.h DomainData.cc DomainData.h ExtUser.cc \
175        ExtUser.h HierCodeData.cc HierCodeData.h HierCode.cc \
176        HierCode.h HttpHeaderData.cc HttpHeaderData.h HttpRepHeader.cc \
177        HttpRepHeader.h HttpReqHeader.cc HttpReqHeader.h HttpStatus.cc \
178        HttpStatus.h Ip.cc Ip.h LocalIp.cc LocalIp.h LocalPort.cc \
179        LocalPort.h MaxConnection.cc MaxConnection.h Method.cc \
180        MethodData.cc MethodData.h Method.h MyPortName.cc MyPortName.h \
181        Note.h Note.cc NoteData.h NoteData.cc PeerName.cc PeerName.h \
182        Protocol.cc ProtocolData.cc ProtocolData.h Protocol.h \
183        Random.cc Random.h Referer.cc Referer.h ReplyHeaderStrategy.h \
184        ReplyMimeType.cc ReplyMimeType.h RequestHeaderStrategy.h \
185        RequestMimeType.cc RequestMimeType.h SourceAsn.h \
186        SourceDomain.cc SourceDomain.h SourceIp.cc SourceIp.h Tag.cc \
187        Tag.h Url.cc Url.h UrlLogin.cc UrlLogin.h UrlPath.cc UrlPath.h \
188        UrlPort.cc UrlPort.h UserData.cc UserData.h AclNameList.h \
189        AclDenyInfoList.h Gadgets.cc Gadgets.h AclSizeLimit.h \
190        AtStep.cc AtStep.h AtStepData.cc AtStepData.h \
191        CertificateData.cc CertificateData.h Certificate.cc \
192        Certificate.h ServerCertificate.cc ServerCertificate.h \
193        ServerName.cc ServerName.h SslError.cc SslError.h \
194        SslErrorData.cc SslErrorData.h AdaptationService.h \
195        AdaptationService.cc AdaptationServiceData.h \
196        AdaptationServiceData.cc Arp.cc Arp.h Eui64.cc Eui64.h
197am__objects_1 = AtStep.lo AtStepData.lo CertificateData.lo \
198        Certificate.lo ServerCertificate.lo ServerName.lo SslError.lo \
199        SslErrorData.lo
200am__objects_2 = $(am__objects_1)
201am__objects_3 = AdaptationService.lo \
202        AdaptationServiceData.lo
203am__objects_4 = Arp.lo Eui64.lo
204am__objects_5 = $(am__objects_4)
205am_libacls_la_OBJECTS = IntRange.lo RegexData.lo StringData.lo Time.lo \
206        TimeData.lo AllOf.lo AnyOf.lo Asn.lo Browser.lo \
207        DestinationDomain.lo DestinationIp.lo DomainData.lo ExtUser.lo \
208        HierCodeData.lo HierCode.lo HttpHeaderData.lo HttpRepHeader.lo \
209        HttpReqHeader.lo HttpStatus.lo Ip.lo LocalIp.lo LocalPort.lo \
210        MaxConnection.lo Method.lo MethodData.lo MyPortName.lo Note.lo \
211        NoteData.lo PeerName.lo Protocol.lo ProtocolData.lo Random.lo \
212        Referer.lo ReplyMimeType.lo RequestMimeType.lo SourceDomain.lo \
213        SourceIp.lo Tag.lo Url.lo UrlLogin.lo UrlPath.lo UrlPort.lo \
214        UserData.lo Gadgets.lo $(am__objects_2) $(am__objects_3) \
215        $(am__objects_5)
216libacls_la_OBJECTS = $(am_libacls_la_OBJECTS)
217AM_V_lt = $(am__v_lt_$(V))
218am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
219am__v_lt_0 = --silent
220am__v_lt_1 = 
221libapi_la_LIBADD =
222am_libapi_la_OBJECTS = Acl.lo BoolOps.lo Checklist.lo InnerNode.lo \
223        Tree.lo
224libapi_la_OBJECTS = $(am_libapi_la_OBJECTS)
225libstate_la_LIBADD =
226am_libstate_la_OBJECTS = Strategised.lo FilledChecklist.lo \
227        AclAddress.lo
228libstate_la_OBJECTS = $(am_libstate_la_OBJECTS)
229AM_V_P = $(am__v_P_$(V))
230am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
231am__v_P_0 = false
232am__v_P_1 = :
233AM_V_GEN = $(am__v_GEN_$(V))
234am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
235am__v_GEN_0 = @echo "  GEN     " $@;
236am__v_GEN_1 = 
237AM_V_at = $(am__v_at_$(V))
238am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
239am__v_at_0 = @
240am__v_at_1 = 
241DEFAULT_INCLUDES = 
242depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
243am__depfiles_maybe = depfiles
244am__mv = mv -f
245CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
246        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
247LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
248        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
249        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
250        $(AM_CXXFLAGS) $(CXXFLAGS)
251AM_V_CXX = $(am__v_CXX_$(V))
252am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
253am__v_CXX_0 = @echo "  CXX     " $@;
254am__v_CXX_1 = 
255CXXLD = $(CXX)
256CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
257        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
258        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
259AM_V_CXXLD = $(am__v_CXXLD_$(V))
260am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
261am__v_CXXLD_0 = @echo "  CXXLD   " $@;
262am__v_CXXLD_1 = 
263COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
264        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
265LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
266        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
267        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
268        $(AM_CFLAGS) $(CFLAGS)
269AM_V_CC = $(am__v_CC_$(V))
270am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
271am__v_CC_0 = @echo "  CC      " $@;
272am__v_CC_1 = 
273CCLD = $(CC)
274LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
275        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
276        $(AM_LDFLAGS) $(LDFLAGS) -o $@
277AM_V_CCLD = $(am__v_CCLD_$(V))
278am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
279am__v_CCLD_0 = @echo "  CCLD    " $@;
280am__v_CCLD_1 = 
281SOURCES = $(libacls_la_SOURCES) $(EXTRA_libacls_la_SOURCES) \
282        $(libapi_la_SOURCES) $(libstate_la_SOURCES)
283DIST_SOURCES = $(am__libacls_la_SOURCES_DIST) \
284        $(EXTRA_libacls_la_SOURCES) $(libapi_la_SOURCES) \
285        $(libstate_la_SOURCES)
286am__can_run_installinfo = \
287  case $$AM_UPDATE_INFO_DIR in \
288    n|no|NO) false;; \
289    *) (install-info --version) >/dev/null 2>&1;; \
290  esac
291am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
292# Read a list of newline-separated strings from the standard input,
293# and print each of them once, without duplicates.  Input order is
294# *not* preserved.
295am__uniquify_input = $(AWK) '\
296  BEGIN { nonempty = 0; } \
297  { items[$$0] = 1; nonempty = 1; } \
298  END { if (nonempty) { for (i in items) print i; }; } \
299'
300# Make sure the list of sources is unique.  This is necessary because,
301# e.g., the same source file might be shared among _SOURCES variables
302# for different programs/libraries.
303am__define_uniq_tagged_files = \
304  list='$(am__tagged_files)'; \
305  unique=`for i in $$list; do \
306    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
307  done | $(am__uniquify_input)`
308ETAGS = etags
309CTAGS = ctags
310am__tty_colors_dummy = \
311  mgn= red= grn= lgn= blu= brg= std=; \
312  am__color_tests=no
313am__tty_colors = { \
314  $(am__tty_colors_dummy); \
315  if test "X$(AM_COLOR_TESTS)" = Xno; then \
316    am__color_tests=no; \
317  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
318    am__color_tests=yes; \
319  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
320    am__color_tests=yes; \
321  fi; \
322  if test $$am__color_tests = yes; then \
323    red='[0;31m'; \
324    grn='[0;32m'; \
325    lgn='[1;32m'; \
326    blu='[1;34m'; \
327    mgn='[0;35m'; \
328    brg='[1m'; \
329    std='[m'; \
330  fi; \
331}
332am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
333am__vpath_adj = case $$p in \
334    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
335    *) f=$$p;; \
336  esac;
337am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
338am__install_max = 40
339am__nobase_strip_setup = \
340  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
341am__nobase_strip = \
342  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
343am__nobase_list = $(am__nobase_strip_setup); \
344  for p in $$list; do echo "$$p $$p"; done | \
345  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
346  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
347    if (++n[$$2] == $(am__install_max)) \
348      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
349    END { for (dir in files) print dir, files[dir] }'
350am__base_list = \
351  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
352  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
353am__uninstall_files_from_dir = { \
354  test -z "$$files" \
355    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
356    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
357         $(am__cd) "$$dir" && rm -f $$files; }; \
358  }
359am__recheck_rx = ^[     ]*:recheck:[    ]*
360am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
361am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
362# A command that, given a newline-separated list of test names on the
363# standard input, print the name of the tests that are to be re-run
364# upon "make recheck".
365am__list_recheck_tests = $(AWK) '{ \
366  recheck = 1; \
367  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
368    { \
369      if (rc < 0) \
370        { \
371          if ((getline line2 < ($$0 ".log")) < 0) \
372            recheck = 0; \
373          break; \
374        } \
375      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
376        { \
377          recheck = 0; \
378          break; \
379        } \
380      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
381        { \
382          break; \
383        } \
384    }; \
385  if (recheck) \
386    print $$0; \
387  close ($$0 ".trs"); \
388  close ($$0 ".log"); \
389}'
390# A command that, given a newline-separated list of test names on the
391# standard input, create the global log from their .trs and .log files.
392am__create_global_log = $(AWK) ' \
393function fatal(msg) \
394{ \
395  print "fatal: making $@: " msg | "cat >&2"; \
396  exit 1; \
397} \
398function rst_section(header) \
399{ \
400  print header; \
401  len = length(header); \
402  for (i = 1; i <= len; i = i + 1) \
403    printf "="; \
404  printf "\n\n"; \
405} \
406{ \
407  copy_in_global_log = 1; \
408  global_test_result = "RUN"; \
409  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
410    { \
411      if (rc < 0) \
412         fatal("failed to read from " $$0 ".trs"); \
413      if (line ~ /$(am__global_test_result_rx)/) \
414        { \
415          sub("$(am__global_test_result_rx)", "", line); \
416          sub("[        ]*$$", "", line); \
417          global_test_result = line; \
418        } \
419      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
420        copy_in_global_log = 0; \
421    }; \
422  if (copy_in_global_log) \
423    { \
424      rst_section(global_test_result ": " $$0); \
425      while ((rc = (getline line < ($$0 ".log"))) != 0) \
426      { \
427        if (rc < 0) \
428          fatal("failed to read from " $$0 ".log"); \
429        print line; \
430      }; \
431      printf "\n"; \
432    }; \
433  close ($$0 ".trs"); \
434  close ($$0 ".log"); \
435}'
436# Restructured Text title.
437am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
438# Solaris 10 'make', and several other traditional 'make' implementations,
439# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
440# by disabling -e (using the XSI extension "set +e") if it's set.
441am__sh_e_setup = case $$- in *e*) set +e;; esac
442# Default flags passed to test drivers.
443am__common_driver_flags = \
444  --color-tests "$$am__color_tests" \
445  --enable-hard-errors "$$am__enable_hard_errors" \
446  --expect-failure "$$am__expect_failure"
447# To be inserted before the command running the test.  Creates the
448# directory for the log if needed.  Stores in $dir the directory
449# containing $f, in $tst the test, in $log the log.  Executes the
450# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
451# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
452# will run the test scripts (or their associated LOG_COMPILER, if
453# thy have one).
454am__check_pre = \
455$(am__sh_e_setup);                                      \
456$(am__vpath_adj_setup) $(am__vpath_adj)                 \
457$(am__tty_colors);                                      \
458srcdir=$(srcdir); export srcdir;                        \
459case "$@" in                                            \
460  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
461    *) am__odir=.;;                                     \
462esac;                                                   \
463test "x$$am__odir" = x"." || test -d "$$am__odir"       \
464  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
465if test -f "./$$f"; then dir=./;                        \
466elif test -f "$$f"; then dir=;                          \
467else dir="$(srcdir)/"; fi;                              \
468tst=$$dir$$f; log='$@';                                 \
469if test -n '$(DISABLE_HARD_ERRORS)'; then               \
470  am__enable_hard_errors=no;                            \
471else                                                    \
472  am__enable_hard_errors=yes;                           \
473fi;                                                     \
474case " $(XFAIL_TESTS) " in                              \
475  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
476    am__expect_failure=yes;;                            \
477  *)                                                    \
478    am__expect_failure=no;;                             \
479esac;                                                   \
480$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
481# A shell command to get the names of the tests scripts with any registered
482# extension removed (i.e., equivalently, the names of the test logs, with
483# the '.log' extension removed).  The result is saved in the shell variable
484# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
485# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
486# since that might cause problem with VPATH rewrites for suffix-less tests.
487# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
488am__set_TESTS_bases = \
489  bases='$(TEST_LOGS)'; \
490  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
491  bases=`echo $$bases`
492RECHECK_LOGS = $(TEST_LOGS)
493AM_RECURSIVE_TARGETS = check recheck
494TEST_SUITE_LOG = test-suite.log
495TEST_EXTENSIONS =  .test
496LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
497LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
498am__set_b = \
499  case '$@' in \
500    */*) \
501      case '$*' in \
502        */*) b='$*';; \
503          *) b=`echo '$@' | sed 's/\.log$$//'`; \
504       esac;; \
505    *) \
506      b='$*';; \
507  esac
508am__test_logs1 = $(TESTS:=.log)
509am__test_logs2 = $(am__test_logs1:.log=.log)
510TEST_LOGS = $(am__test_logs2:.test.log=.log)
511TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
512TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
513        $(TEST_LOG_FLAGS)
514am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
515        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
516        $(top_srcdir)/src/TestHeaders.am
517DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
518ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
519ADAPTATION_LIBS = adaptation/libadaptation.la
520ALLOCA =
521AMTAR = $${TAR-tar}
522AM_DEFAULT_VERBOSITY = 1
523AR = /usr/bin/ar
524AR_R = /usr/bin/ar r
525AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
526AUTH_MODULES =  basic digest negotiate ntlm
527AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
528AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
529AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
530AWK = gawk
531BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
532BUILDCXX = g++
533BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
534BZR =
535CACHE_EFFECTIVE_USER = proxy
536CC = gcc
537CCDEPMODE = depmode=none
538CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
539CGIEXT = .cgi
540CHMOD = /bin/chmod
541CPP = gcc -E
542CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
543CPPUNITCONFIG = /usr/bin/cppunit-config
544CRYPTLIB = -lcrypt
545CXX = g++
546CXXCPP = g++ -E
547CXXDEPMODE = depmode=none
548CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
549CYGPATH_W = echo
550DEFAULT_HOSTS = /etc/hosts
551DEFAULT_LOG_DIR = /var/log/squid-ssl
552DEFAULT_PID_FILE = /var/run/squid-ssl.pid
553DEFAULT_SWAP_DIR = /var/spool/squid-ssl
554DEFS = -DHAVE_CONFIG_H
555DEPDIR = .deps
556DIGEST_AUTH_HELPERS =  file LDAP
557DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
558DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
559DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
560DISK_OS_LIBS =  -lrt -lpthread
561DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
562DLLTOOL = false
563DSYMUTIL =
564DUMPBIN =
565ECAP_LIBS = ecap/libsquid-ecap.la
566ECHO_C =
567ECHO_N = -n
568ECHO_T =
569EGREP = /bin/egrep
570EPOLL_LIBS =
571EUILIB =
572EXEEXT =
573EXPATLIB = -lexpat
574EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
575EXT_LIBECAP_CFLAGS =
576EXT_LIBECAP_LIBS = -lecap
577FALSE = /bin/false
578FGREP = /bin/fgrep
579GREP = grep
580HAVE_CXX11 = 1
581ICAP_LIBS = icap/libicap.la
582INCLTDL =
583INSTALL = /usr/bin/install -c
584INSTALL_DATA = ${INSTALL} -m 644
585INSTALL_PROGRAM = ${INSTALL}
586INSTALL_SCRIPT = ${INSTALL}
587INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
588KRB5INCS = -isystem /usr/include/mit-krb5
589KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
590LBERLIB = -llber
591LD = /usr/bin/ld -m elf_x86_64
592LDAPLIB = -lldap
593LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
594LIBADD_DL = -ldl
595LIBADD_DLD_LINK =
596LIBADD_DLOPEN = -ldl
597LIBADD_SHL_LOAD =
598LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
599LIBGNUTLS_LIBS = -lgnutls
600LIBLTDL = -lltdl
601LIBOBJS =
602LIBOPENSSL_CFLAGS =
603LIBOPENSSL_LIBS = -lssl -lcrypto
604LIBS =
605LIBSASL = -lsasl2
606LIBTOOL = $(SHELL) $(top_builddir)/libtool
607LIB_DB = -ldb
608LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
609LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
610LINUXDOC = /bin/false
611LIPO =
612LN = /bin/ln
613LN_S = ln -s
614LOG_DAEMON_HELPERS =  DB file
615LTDLDEPS =
616LTDLINCL =
617LTDLOPEN = libltdl
618LTLIBOBJS =
619LT_ARGZ_H =
620LT_CONFIG_H = include/autoconf.h
621LT_DLLOADERS =  libltdl/dlopen.la
622LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
623LT_SYS_LIBRARY_PATH =
624MAINT = #
625MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
626MANIFEST_TOOL = :
627MINGW_LIBS =
628MKDIR = /bin/mkdir
629MKDIR_P = /bin/mkdir -p
630MV = /bin/mv
631NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
632NETTLELIB =  -lnettle
633NM = /usr/bin/nm -B
634NMEDIT =
635NTLM_AUTH_HELPERS =  fake smb_lm
636OBJDUMP = objdump
637OBJEXT = o
638OTOOL =
639OTOOL64 =
640PACKAGE = squid
641PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
642PACKAGE_NAME = Squid Web Proxy
643PACKAGE_STRING = Squid Web Proxy 3.5.12
644PACKAGE_TARNAME = squid
645PACKAGE_URL =
646PACKAGE_VERSION = 3.5.12
647PATH_SEPARATOR = :
648PERL = /usr/bin/perl
649PKG_CONFIG = /usr/bin/pkg-config
650PKG_CONFIG_LIBDIR =
651PKG_CONFIG_PATH =
652PO2HTML = off
653PO2TEXT = off
654POD2MAN = /usr/bin/pod2man
655RANLIB = ranlib
656REGEXLIB =
657REPL_LIBS = liblru.a libheap.a
658REPL_OBJS = repl/liblru.a repl/libheap.a
659REPL_POLICIES = lru heap
660RM = /bin/rm -f
661SED = /bin/sed
662SET_MAKE =
663SH = /bin/sh
664SHELL = /bin/bash
665SMBCLIENT = /usr/bin/smbclient
666SNMPLIB = ../lib/snmplib/libsnmplib.la
667SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
668SQUID_CPPUNIT_INC =
669SQUID_CPPUNIT_LA =
670SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
671SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
672SSLLIB =  -lssl -lcrypto  -lgnutls
673STOREID_REWRITE_HELPERS =  file
674STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
675STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
676STORE_TESTS =
677STRIP = strip
678TR = /usr/bin/tr
679TRUE = /bin/true
680URL_REWRITE_HELPERS =  fake
681VERSION = 3.5.12
682WBINFO =
683WIN32_PSAPI =
684XMLLIB = -lxml2
685XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
686XTRA_OBJS =
687abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/acl
688abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/acl
689abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
690abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
691ac_ct_AR =
692ac_ct_CC = gcc
693ac_ct_CXX = g++
694ac_ct_DUMPBIN =
695am__include = include
696am__leading_dot = .
697am__quote =
698am__tar = tar --format=ustar -chf - "$$tardir"
699am__untar = tar -xf -
700bindir = ${exec_prefix}/bin
701build = x86_64-pc-linux-gnu
702build_alias = x86_64-linux-gnu
703build_cpu = x86_64
704build_os = linux-gnu
705build_vendor = pc
706builddir = .
707datadir = /usr/share/squid-ssl
708datarootdir = ${prefix}/share
709docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
710dvidir = ${docdir}
711exec_prefix = ${prefix}
712host = x86_64-pc-linux-gnu
713host_alias =
714host_cpu = x86_64
715host_os = linux-gnu
716host_vendor = pc
717htmldir = ${docdir}
718includedir = ${prefix}/include
719infodir = ${prefix}/share/info
720install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
721krb5_config =
722libdir = ${exec_prefix}/lib
723libexecdir = /usr/lib/squid-ssl
724localedir = ${datarootdir}/locale
725localstatedir = /var
726ltdl_LIBOBJS =  lt__strl.o
727ltdl_LTLIBOBJS =  lt__strl.lo
728mandir = /usr/share/man
729mkdir_p = $(MKDIR_P)
730oldincludedir = /usr/include
731pdfdir = ${docdir}
732prefix = /usr
733program_transform_name = s&$$&-ssl&
734psdir = ${docdir}
735runstatedir = ${localstatedir}/run
736sbindir = ${exec_prefix}/sbin
737sharedstatedir = ${prefix}/com
738srcdir = .
739subdirs =  libltdl
740sys_symbol_underscore = no
741sysconfdir = /etc/squid-ssl
742target_alias =
743top_build_prefix = ../../
744top_builddir = ../..
745top_srcdir = ../..
746AM_CFLAGS = $(SQUID_CFLAGS)
747AM_CXXFLAGS = $(SQUID_CXXFLAGS)
748CLEANFILES = testHeaders
749TESTS = testHeaders
750AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
751        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
752        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
753        $(am__append_1)
754LIBPROFILER =
755#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
756COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
757subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
758noinst_LTLIBRARIES = libapi.la libstate.la libacls.la
759libapi_la_SOURCES = \
760        Acl.cc \
761        Acl.h \
762        BoolOps.cc \
763        BoolOps.h \
764        Checklist.cc \
765        Checklist.h \
766        forward.h \
767        InnerNode.cc \
768        InnerNode.h \
769        Tree.cc \
770        Tree.h
771
772libstate_la_SOURCES = \
773        Data.h \
774        Strategy.h \
775        Strategised.cc \
776        Strategised.h \
777        FilledChecklist.cc \
778        FilledChecklist.h \
779        AclAddress.h \
780        AclAddress.cc
781
782libacls_la_SOURCES = IntRange.cc IntRange.h RegexData.cc RegexData.h \
783        StringData.cc StringData.h Time.cc Time.h TimeData.cc \
784        TimeData.h AllOf.cc AllOf.h AnyOf.cc AnyOf.h Asn.cc Asn.h \
785        Browser.cc Browser.h DestinationAsn.h DestinationDomain.cc \
786        DestinationDomain.h DestinationIp.cc DestinationIp.h \
787        DomainData.cc DomainData.h ExtUser.cc ExtUser.h \
788        HierCodeData.cc HierCodeData.h HierCode.cc HierCode.h \
789        HttpHeaderData.cc HttpHeaderData.h HttpRepHeader.cc \
790        HttpRepHeader.h HttpReqHeader.cc HttpReqHeader.h HttpStatus.cc \
791        HttpStatus.h Ip.cc Ip.h LocalIp.cc LocalIp.h LocalPort.cc \
792        LocalPort.h MaxConnection.cc MaxConnection.h Method.cc \
793        MethodData.cc MethodData.h Method.h MyPortName.cc MyPortName.h \
794        Note.h Note.cc NoteData.h NoteData.cc PeerName.cc PeerName.h \
795        Protocol.cc ProtocolData.cc ProtocolData.h Protocol.h \
796        Random.cc Random.h Referer.cc Referer.h ReplyHeaderStrategy.h \
797        ReplyMimeType.cc ReplyMimeType.h RequestHeaderStrategy.h \
798        RequestMimeType.cc RequestMimeType.h SourceAsn.h \
799        SourceDomain.cc SourceDomain.h SourceIp.cc SourceIp.h Tag.cc \
800        Tag.h Url.cc Url.h UrlLogin.cc UrlLogin.h UrlPath.cc UrlPath.h \
801        UrlPort.cc UrlPort.h UserData.cc UserData.h AclNameList.h \
802        AclDenyInfoList.h Gadgets.cc Gadgets.h AclSizeLimit.h \
803        $(am__append_2) $(am__append_3) $(am__append_4)
804EXTRA_libacls_la_SOURCES = $(SSL_ACLS) $(ARP_ACLS)
805SSL_ACLS = \
806        AtStep.cc \
807        AtStep.h \
808        AtStepData.cc \
809        AtStepData.h \
810        CertificateData.cc \
811        CertificateData.h  \
812        Certificate.cc \
813        Certificate.h  \
814        ServerCertificate.cc \
815        ServerCertificate.h \
816        ServerName.cc \
817        ServerName.h \
818        SslError.cc \
819        SslError.h \
820        SslErrorData.cc \
821        SslErrorData.h
822
823ARP_ACLS = Arp.cc Arp.h Eui64.cc Eui64.h
824all: all-am
825
826.SUFFIXES:
827.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
828$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
829        @for dep in $?; do \
830          case '$(am__configure_deps)' in \
831            *$$dep*) \
832              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
833                && { if test -f $@; then exit 0; else break; fi; }; \
834              exit 1;; \
835          esac; \
836        done; \
837        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/acl/Makefile'; \
838        $(am__cd) $(top_srcdir) && \
839          $(AUTOMAKE) --gnu src/acl/Makefile
840Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
841        @case '$?' in \
842          *config.status*) \
843            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
844          *) \
845            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
846            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
847        esac;
848$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
849
850$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
851        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
852
853$(top_srcdir)/configure: # $(am__configure_deps)
854        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
855$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
856        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
857$(am__aclocal_m4_deps):
858
859clean-noinstLTLIBRARIES:
860        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
861        @list='$(noinst_LTLIBRARIES)'; \
862        locs=`for p in $$list; do echo $$p; done | \
863              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
864              sort -u`; \
865        test -z "$$locs" || { \
866          echo rm -f $${locs}; \
867          rm -f $${locs}; \
868        }
869
870libacls.la: $(libacls_la_OBJECTS) $(libacls_la_DEPENDENCIES) $(EXTRA_libacls_la_DEPENDENCIES)
871        $(AM_V_CXXLD)$(CXXLINK)  $(libacls_la_OBJECTS) $(libacls_la_LIBADD) $(LIBS)
872
873libapi.la: $(libapi_la_OBJECTS) $(libapi_la_DEPENDENCIES) $(EXTRA_libapi_la_DEPENDENCIES)
874        $(AM_V_CXXLD)$(CXXLINK)  $(libapi_la_OBJECTS) $(libapi_la_LIBADD) $(LIBS)
875
876libstate.la: $(libstate_la_OBJECTS) $(libstate_la_DEPENDENCIES) $(EXTRA_libstate_la_DEPENDENCIES)
877        $(AM_V_CXXLD)$(CXXLINK)  $(libstate_la_OBJECTS) $(libstate_la_LIBADD) $(LIBS)
878
879clean-checkPROGRAMS:
880        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
881        echo " rm -f" $$list; \
882        rm -f $$list || exit $$?; \
883        test -n "$(EXEEXT)" || exit 0; \
884        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
885        echo " rm -f" $$list; \
886        rm -f $$list
887
888mostlyclean-compile:
889        -rm -f *.$(OBJEXT)
890
891distclean-compile:
892        -rm -f *.tab.c
893
894#include ./$(DEPDIR)/Acl.Plo
895#include ./$(DEPDIR)/AclAddress.Plo
896#include ./$(DEPDIR)/AdaptationService.Plo
897#include ./$(DEPDIR)/AdaptationServiceData.Plo
898#include ./$(DEPDIR)/AllOf.Plo
899#include ./$(DEPDIR)/AnyOf.Plo
900#include ./$(DEPDIR)/Arp.Plo
901#include ./$(DEPDIR)/Asn.Plo
902#include ./$(DEPDIR)/AtStep.Plo
903#include ./$(DEPDIR)/AtStepData.Plo
904#include ./$(DEPDIR)/BoolOps.Plo
905#include ./$(DEPDIR)/Browser.Plo
906#include ./$(DEPDIR)/Certificate.Plo
907#include ./$(DEPDIR)/CertificateData.Plo
908#include ./$(DEPDIR)/Checklist.Plo
909#include ./$(DEPDIR)/DestinationDomain.Plo
910#include ./$(DEPDIR)/DestinationIp.Plo
911#include ./$(DEPDIR)/DomainData.Plo
912#include ./$(DEPDIR)/Eui64.Plo
913#include ./$(DEPDIR)/ExtUser.Plo
914#include ./$(DEPDIR)/FilledChecklist.Plo
915#include ./$(DEPDIR)/Gadgets.Plo
916#include ./$(DEPDIR)/HierCode.Plo
917#include ./$(DEPDIR)/HierCodeData.Plo
918#include ./$(DEPDIR)/HttpHeaderData.Plo
919#include ./$(DEPDIR)/HttpRepHeader.Plo
920#include ./$(DEPDIR)/HttpReqHeader.Plo
921#include ./$(DEPDIR)/HttpStatus.Plo
922#include ./$(DEPDIR)/InnerNode.Plo
923#include ./$(DEPDIR)/IntRange.Plo
924#include ./$(DEPDIR)/Ip.Plo
925#include ./$(DEPDIR)/LocalIp.Plo
926#include ./$(DEPDIR)/LocalPort.Plo
927#include ./$(DEPDIR)/MaxConnection.Plo
928#include ./$(DEPDIR)/Method.Plo
929#include ./$(DEPDIR)/MethodData.Plo
930#include ./$(DEPDIR)/MyPortName.Plo
931#include ./$(DEPDIR)/Note.Plo
932#include ./$(DEPDIR)/NoteData.Plo
933#include ./$(DEPDIR)/PeerName.Plo
934#include ./$(DEPDIR)/Protocol.Plo
935#include ./$(DEPDIR)/ProtocolData.Plo
936#include ./$(DEPDIR)/Random.Plo
937#include ./$(DEPDIR)/Referer.Plo
938#include ./$(DEPDIR)/RegexData.Plo
939#include ./$(DEPDIR)/ReplyMimeType.Plo
940#include ./$(DEPDIR)/RequestMimeType.Plo
941#include ./$(DEPDIR)/ServerCertificate.Plo
942#include ./$(DEPDIR)/ServerName.Plo
943#include ./$(DEPDIR)/SourceDomain.Plo
944#include ./$(DEPDIR)/SourceIp.Plo
945#include ./$(DEPDIR)/SslError.Plo
946#include ./$(DEPDIR)/SslErrorData.Plo
947#include ./$(DEPDIR)/Strategised.Plo
948#include ./$(DEPDIR)/StringData.Plo
949#include ./$(DEPDIR)/Tag.Plo
950#include ./$(DEPDIR)/Time.Plo
951#include ./$(DEPDIR)/TimeData.Plo
952#include ./$(DEPDIR)/Tree.Plo
953#include ./$(DEPDIR)/Url.Plo
954#include ./$(DEPDIR)/UrlLogin.Plo
955#include ./$(DEPDIR)/UrlPath.Plo
956#include ./$(DEPDIR)/UrlPort.Plo
957#include ./$(DEPDIR)/UserData.Plo
958
959.cc.o:
960#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
961#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
962#       $(am__mv) $$depbase.Tpo $$depbase.Po
963#       $(AM_V_CXX)source='$<' object='$@' libtool=no
964#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
965        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
966
967.cc.obj:
968#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
969#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
970#       $(am__mv) $$depbase.Tpo $$depbase.Po
971#       $(AM_V_CXX)source='$<' object='$@' libtool=no
972#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
973        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
974
975.cc.lo:
976#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
977#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
978#       $(am__mv) $$depbase.Tpo $$depbase.Plo
979#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
980#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
981        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
982
983mostlyclean-libtool:
984        -rm -f *.lo
985
986clean-libtool:
987        -rm -rf .libs _libs
988
989ID: $(am__tagged_files)
990        $(am__define_uniq_tagged_files); mkid -fID $$unique
991tags: tags-am
992TAGS: tags
993
994tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
995        set x; \
996        here=`pwd`; \
997        $(am__define_uniq_tagged_files); \
998        shift; \
999        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1000          test -n "$$unique" || unique=$$empty_fix; \
1001          if test $$# -gt 0; then \
1002            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1003              "$$@" $$unique; \
1004          else \
1005            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1006              $$unique; \
1007          fi; \
1008        fi
1009ctags: ctags-am
1010
1011CTAGS: ctags
1012ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1013        $(am__define_uniq_tagged_files); \
1014        test -z "$(CTAGS_ARGS)$$unique" \
1015          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1016             $$unique
1017
1018GTAGS:
1019        here=`$(am__cd) $(top_builddir) && pwd` \
1020          && $(am__cd) $(top_srcdir) \
1021          && gtags -i $(GTAGS_ARGS) "$$here"
1022cscopelist: cscopelist-am
1023
1024cscopelist-am: $(am__tagged_files)
1025        list='$(am__tagged_files)'; \
1026        case "$(srcdir)" in \
1027          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1028          *) sdir=$(subdir)/$(srcdir) ;; \
1029        esac; \
1030        for i in $$list; do \
1031          if test -f "$$i"; then \
1032            echo "$(subdir)/$$i"; \
1033          else \
1034            echo "$$sdir/$$i"; \
1035          fi; \
1036        done >> $(top_builddir)/cscope.files
1037
1038distclean-tags:
1039        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1040
1041# Recover from deleted '.trs' file; this should ensure that
1042# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1043# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1044# to avoid problems with "make -n".
1045.log.trs:
1046        rm -f $< $@
1047        $(MAKE) $(AM_MAKEFLAGS) $<
1048
1049# Leading 'am--fnord' is there to ensure the list of targets does not
1050# expand to empty, as could happen e.g. with make check TESTS=''.
1051am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1052am--force-recheck:
1053        @:
1054
1055$(TEST_SUITE_LOG): $(TEST_LOGS)
1056        @$(am__set_TESTS_bases); \
1057        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1058        redo_bases=`for i in $$bases; do \
1059                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1060                    done`; \
1061        if test -n "$$redo_bases"; then \
1062          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1063          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1064          if $(am__make_dryrun); then :; else \
1065            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1066          fi; \
1067        fi; \
1068        if test -n "$$am__remaking_logs"; then \
1069          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1070               "recursion detected" >&2; \
1071        elif test -n "$$redo_logs"; then \
1072          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1073        fi; \
1074        if $(am__make_dryrun); then :; else \
1075          st=0;  \
1076          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1077          for i in $$redo_bases; do \
1078            test -f $$i.trs && test -r $$i.trs \
1079              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1080            test -f $$i.log && test -r $$i.log \
1081              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1082          done; \
1083          test $$st -eq 0 || exit 1; \
1084        fi
1085        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1086        ws='[   ]'; \
1087        results=`for b in $$bases; do echo $$b.trs; done`; \
1088        test -n "$$results" || results=/dev/null; \
1089        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1090        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1091        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1092        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1093        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1094        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1095        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1096        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1097          success=true; \
1098        else \
1099          success=false; \
1100        fi; \
1101        br='==================='; br=$$br$$br$$br$$br; \
1102        result_count () \
1103        { \
1104            if test x"$$1" = x"--maybe-color"; then \
1105              maybe_colorize=yes; \
1106            elif test x"$$1" = x"--no-color"; then \
1107              maybe_colorize=no; \
1108            else \
1109              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1110            fi; \
1111            shift; \
1112            desc=$$1 count=$$2; \
1113            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1114              color_start=$$3 color_end=$$std; \
1115            else \
1116              color_start= color_end=; \
1117            fi; \
1118            echo "$${color_start}# $$desc $$count$${color_end}"; \
1119        }; \
1120        create_testsuite_report () \
1121        { \
1122          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1123          result_count $$1 "PASS: " $$pass  "$$grn"; \
1124          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1125          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1126          result_count $$1 "FAIL: " $$fail  "$$red"; \
1127          result_count $$1 "XPASS:" $$xpass "$$red"; \
1128          result_count $$1 "ERROR:" $$error "$$mgn"; \
1129        }; \
1130        {                                                               \
1131          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1132            $(am__rst_title);                                           \
1133          create_testsuite_report --no-color;                           \
1134          echo;                                                         \
1135          echo ".. contents:: :depth: 2";                               \
1136          echo;                                                         \
1137          for b in $$bases; do echo $$b; done                           \
1138            | $(am__create_global_log);                                 \
1139        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1140        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1141        if $$success; then                                              \
1142          col="$$grn";                                                  \
1143         else                                                           \
1144          col="$$red";                                                  \
1145          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1146        fi;                                                             \
1147        echo "$${col}$$br$${std}";                                      \
1148        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1149        echo "$${col}$$br$${std}";                                      \
1150        create_testsuite_report --maybe-color;                          \
1151        echo "$$col$$br$$std";                                          \
1152        if $$success; then :; else                                      \
1153          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1154          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1155            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1156          fi;                                                           \
1157          echo "$$col$$br$$std";                                        \
1158        fi;                                                             \
1159        $$success || exit 1
1160
1161check-TESTS:
1162        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1163        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1164        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1165        @set +e; $(am__set_TESTS_bases); \
1166        log_list=`for i in $$bases; do echo $$i.log; done`; \
1167        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1168        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1169        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1170        exit $$?;
1171recheck: all $(check_PROGRAMS)
1172        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1173        @set +e; $(am__set_TESTS_bases); \
1174        bases=`for i in $$bases; do echo $$i; done \
1175                 | $(am__list_recheck_tests)` || exit 1; \
1176        log_list=`for i in $$bases; do echo $$i.log; done`; \
1177        log_list=`echo $$log_list`; \
1178        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1179                am__force_recheck=am--force-recheck \
1180                TEST_LOGS="$$log_list"; \
1181        exit $$?
1182testHeaders.log: testHeaders
1183        @p='testHeaders'; \
1184        b='testHeaders'; \
1185        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1186        --log-file $$b.log --trs-file $$b.trs \
1187        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1188        "$$tst" $(AM_TESTS_FD_REDIRECT)
1189.test.log:
1190        @p='$<'; \
1191        $(am__set_b); \
1192        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1193        --log-file $$b.log --trs-file $$b.trs \
1194        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1195        "$$tst" $(AM_TESTS_FD_REDIRECT)
1196#.test$(EXEEXT).log:
1197#       @p='$<'; \
1198#       $(am__set_b); \
1199#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1200#       --log-file $$b.log --trs-file $$b.trs \
1201#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1202#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1203
1204distdir: $(DISTFILES)
1205        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1206        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1207        list='$(DISTFILES)'; \
1208          dist_files=`for file in $$list; do echo $$file; done | \
1209          sed -e "s|^$$srcdirstrip/||;t" \
1210              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1211        case $$dist_files in \
1212          */*) $(MKDIR_P) `echo "$$dist_files" | \
1213                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1214                           sort -u` ;; \
1215        esac; \
1216        for file in $$dist_files; do \
1217          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1218          if test -d $$d/$$file; then \
1219            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1220            if test -d "$(distdir)/$$file"; then \
1221              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1222            fi; \
1223            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1224              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1225              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1226            fi; \
1227            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1228          else \
1229            test -f "$(distdir)/$$file" \
1230            || cp -p $$d/$$file "$(distdir)/$$file" \
1231            || exit 1; \
1232          fi; \
1233        done
1234check-am: all-am
1235        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1236        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1237check: check-am
1238all-am: Makefile $(LTLIBRARIES)
1239installdirs:
1240install: install-am
1241install-exec: install-exec-am
1242install-data: install-data-am
1243uninstall: uninstall-am
1244
1245install-am: all-am
1246        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1247
1248installcheck: installcheck-am
1249install-strip:
1250        if test -z '$(STRIP)'; then \
1251          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1252            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1253              install; \
1254        else \
1255          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1256            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1257            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1258        fi
1259mostlyclean-generic:
1260        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1261        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1262        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1263
1264clean-generic:
1265        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1266
1267distclean-generic:
1268        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1269        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1270
1271maintainer-clean-generic:
1272        @echo "This command is intended for maintainers to use"
1273        @echo "it deletes files that may require special tools to rebuild."
1274clean: clean-am
1275
1276clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1277        clean-noinstLTLIBRARIES mostlyclean-am
1278
1279distclean: distclean-am
1280        -rm -rf ./$(DEPDIR)
1281        -rm -f Makefile
1282distclean-am: clean-am distclean-compile distclean-generic \
1283        distclean-tags
1284
1285dvi: dvi-am
1286
1287dvi-am:
1288
1289html: html-am
1290
1291html-am:
1292
1293info: info-am
1294
1295info-am:
1296
1297install-data-am:
1298
1299install-dvi: install-dvi-am
1300
1301install-dvi-am:
1302
1303install-exec-am:
1304
1305install-html: install-html-am
1306
1307install-html-am:
1308
1309install-info: install-info-am
1310
1311install-info-am:
1312
1313install-man:
1314
1315install-pdf: install-pdf-am
1316
1317install-pdf-am:
1318
1319install-ps: install-ps-am
1320
1321install-ps-am:
1322
1323installcheck-am:
1324
1325maintainer-clean: maintainer-clean-am
1326        -rm -rf ./$(DEPDIR)
1327        -rm -f Makefile
1328maintainer-clean-am: distclean-am maintainer-clean-generic
1329
1330mostlyclean: mostlyclean-am
1331
1332mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1333        mostlyclean-libtool
1334
1335pdf: pdf-am
1336
1337pdf-am:
1338
1339ps: ps-am
1340
1341ps-am:
1342
1343uninstall-am:
1344
1345.MAKE: check-am install-am install-strip
1346
1347.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1348        clean-checkPROGRAMS clean-generic clean-libtool \
1349        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1350        distclean-compile distclean-generic distclean-libtool \
1351        distclean-tags distdir dvi dvi-am html html-am info info-am \
1352        install install-am install-data install-data-am install-dvi \
1353        install-dvi-am install-exec install-exec-am install-html \
1354        install-html-am install-info install-info-am install-man \
1355        install-pdf install-pdf-am install-ps install-ps-am \
1356        install-strip installcheck installcheck-am installdirs \
1357        maintainer-clean maintainer-clean-generic mostlyclean \
1358        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1359        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1360        uninstall-am
1361
1362.PRECIOUS: Makefile
1363
1364
1365$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1366
1367testHeaders: $(srcdir)/*.h
1368        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1369
1370.PHONY: testHeaders
1371
1372# Tell versions [3.59,3.63) of GNU make to not export all variables.
1373# Otherwise a system limit (for SysV at least) may be exceeded.
1374.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.